Name:           python-cheetah
Version:        3.2.6
Release:        %mkrel 1
Summary:        Template engine and code generator
Group:          Development/Python
License:        MIT
URL:            http://cheetahtemplate.org/
Source:         https://pypi.io/packages/source/c/cheetah3/Cheetah3-%{version}.tar.xz
BuildRequires:  gcc

%description
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%package -n python3-cheetah
Summary:        Template engine and code generator
Group:          Development/Python
%{?python_provide:%python_provide python3-cheetah}

BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
BuildRequires: python3-markdown
BuildRequires: python3-pygments

%description -n python3-cheetah
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%prep
%setup -qn Cheetah3-%{version}
%apply_patches

# remove unnecessary shebang lines to silence rpmlint
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/*.py \
    Cheetah/CheetahWrapper.py Cheetah/DirectiveAnalyzer.py \
    Cheetah/Filters.py Cheetah/NameMapper.py Cheetah/Servlet.py \
    Cheetah/Templates/SkeletonPage.py Cheetah/Tools/SiteHierarchy.py \
    Cheetah/Version.py

%build
%py3_build


%install
%py3_install

%files -n python3-cheetah
%{_bindir}/cheetah*
%{python3_sitearch}/*


%changelog
* Fri Aug 19 2022 tex - 3.2.6-1pclos2022
- create pkg
